import React, { useEffect, useMemo, useState } from 'react'
import Taro, { useDidShow,useRouter } from '@tarojs/taro'
import { useSelector } from 'react-redux'
import { View, ScrollView } from '@tarojs/components'
import Layout from '../../layout/index'
import Tab from '../../compents/tab/index'
import Guide from '../guide/index'
import Recommend from '../recommend/index'

// import HouseLIst from '../house/list'

import './index.scss'
import request from '../../util/request'

const house = (props) => {
    const router = useRouter()
    const { houseId } = router.params
    const user = useSelector(state => state.user)
   
    const [userRole, setUserRole] = useState('1')
    const [pageState, setPageState] = useState('2')
    const [list, setList] = useState([])
    useEffect(() => {

        setList([
            {
                name: 'zhou',
                phone: '177'
            },
            {
                name: 'zhou',
                phone: '177'
            },
            {
                name: 'zhou',
                phone: '177'
            }
        ])
    }, [])

    

    const onTabClick = (e) => {
        console.log(e, '111')
        setUserRole(e)
    }

    const onRegisterChange = (e) => {
        console.log(e, '111')
    }


    return <View className='index'>


        <View >

            <Layout>
                {pageState == '2' && <Guide houseId={houseId}></Guide>}
                {pageState == '3' && <Recommend houseId={houseId}></Recommend>}
            </Layout>
            {pageState != '1' && <Tab value={['入住指引', '房东推荐']} pageState={pageState} onClick={[(e) => setPageState('2'), (e) => setPageState('3')]}></Tab>}

        </View>


    </View>
}

export default house